package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Did;
import com.brilliance.isc.vo.domlc.DidWithPtsCbbResponseVo;
import com.brilliance.isc.vo.domlc.DitselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DidMapper {

    int insert(Did record);

    int insertSelective(Did record);

    int updateByPrimaryKeySelective(Did record);

    int updateByPrimaryKey(Did record);

    int deleteByPrimaryKey(Did record);

    int deleteByIds(Collection<Object> collection);

    Did selectByPrimaryKey(Did record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Did> dyncRead(Map<String,Object> dyncMap);

    List<DidWithPtsCbbResponseVo> queryDid(DitselQueryVo ditselQueryVo);

    Did selectBykznref(@Param("kzref") String kzref);

    Did selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Did selectByWhere(Did record);

    List<DidWithPtsCbbResponseVo> queryDidInfo(DitselQueryVo ditselQueryVo);

}
